# Class MaxAllowedPacketException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.mariadb.jdbc.export.MaxAllowedPacketException

All Implemented Interfaces:
  `Serializable`

public class MaxAllowedPacketException extends IOException
Dedicate exception when error is due to sending packet with size > to server max_allowed_packet, that would cause server to drop connection

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MaxAllowedPacketException(String message, boolean mustReconnect)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMustReconnect()`
Indicate that connection state is unsure

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MaxAllowedPacketException

public MaxAllowedPacketException(String message, boolean mustReconnect)
Constructor

Parameters:
  `message` - error message
  `mustReconnect` - is connection state unsure

## Method Details

### isMustReconnect

public boolean isMustReconnect()
Indicate that connection state is unsure

Returns:
  must driver reconnect connection